Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.drupal.project.async_command
Enum DrupalConnection.DatabaseType

    java.lang.Object
      java.lang.Enum<DrupalConnection.DatabaseType>
          org.drupal.project.async_command.DrupalConnection.DatabaseType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DrupalConnection.DatabaseType>

Enclosing class:
  DrupalConnection

    public static enum DrupalConnection.DatabaseType

extends java.lang.Enum<DrupalConnection.DatabaseType>

Enum Constant Summary
`MYSQL`
`POSTGRESQL`
`UNKNOWN`

Method Summary
`static DrupalConnection.DatabaseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DrupalConnection.DatabaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MYSQL

    public static final DrupalConnection.DatabaseType MYSQL

### POSTGRESQL

    public static final DrupalConnection.DatabaseType POSTGRESQL

### UNKNOWN

    public static final DrupalConnection.DatabaseType UNKNOWN

Method Detail

### values

    public static DrupalConnection.DatabaseType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DrupalConnection.DatabaseType c : DrupalConnection.DatabaseType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DrupalConnection.DatabaseType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD